Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataSphere
  • Getting started
  • Terraform reference
    • Overview
    • API authentication
      • Overview
        • Overview
        • Create
        • Get
        • Update
        • Delete
        • List
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
        • AddResource
        • RemoveResource
        • GetRestrictionsMeta
        • GetRestrictions
        • SetRestrictions
  • Audit Trails events
  • Access management
  • Pricing policy
  • Public materials
  • Release notes

In this article:

  • gRPC request
  • ListCommunitiesRequest
  • ListCommunitiesResponse
  • Community
  1. API reference
  2. gRPC
  3. Community
  4. List

DataSphere API v2, gRPC: CommunityService.List

Written by
Yandex Cloud
Updated at December 17, 2024
View in Markdown
  • gRPC request
  • ListCommunitiesRequest
  • ListCommunitiesResponse
  • Community

List communities in specified organization.

gRPC requestgRPC request

rpc List (ListCommunitiesRequest) returns (ListCommunitiesResponse)

ListCommunitiesRequestListCommunitiesRequest

{
  "page_size": "int64",
  "page_token": "string",
  "name_or_description_pattern": "string",
  "owned_by_id": "string",
  "list_public": "bool",
  "organization_id": "string"
}

Field

Description

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListCommunitiesResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.

page_token

string

Page token. To get the next page of results, set page_token to the
ListCommunitiesResponse.next_page_token returned by a previous list request.

name_or_description_pattern

string

Community name or description pattern.
Only communities with names or descriptions matching specified pattern will be returned.

owned_by_id

string

ID of the user. Only communities owned by specified user will be returned.

list_public

bool

If set to true, only public communities will be returned.

organization_id

string

Required field. ID of the organization to list communities in.

ListCommunitiesResponseListCommunitiesResponse

{
  "communities": [
    {
      "id": "string",
      "created_at": "google.protobuf.Timestamp",
      "name": "string",
      "description": "string",
      "labels": "map<string, string>",
      "created_by_id": "string",
      "organization_id": "string",
      "zone_id": "string"
    }
  ],
  "next_page_token": "string"
}

Field

Description

communities[]

Community

List of communities matching filters in list communities request.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListCommunitiesRequest.page_size, use
the next_page_token as the value
for the ListCommunitiesRequest.page_token query parameter
in the next list request. Each subsequent list request will have its own
next_page_token to continue paging through the results.

CommunityCommunity

Field

Description

id

string

ID of the community.

created_at

google.protobuf.Timestamp

Time when community was created.

name

string

Name of the community.

description

string

Description of the comminuty.

labels

object (map<string, string>)

Labels of the community.

created_by_id

string

ID of the user who created the community.

organization_id

string

ID of the organization to which community belongs.

zone_id

string

ID of the zone where this community was created

Was the article helpful?

Previous
Delete
Next
ListAccessBindings
© 2026 Direct Cursus Technology L.L.C.